Name:          librdkafka
Version:       1.9.2
Release:       1mamba
Summary:       A C library implementation of the Apache Kafka protocol
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/edenhill/librdkafka
Source:        https://github.com/edenhill/librdkafka.git/v%{version}/librdkafka-%{version}.tar.bz2
Patch0:        librdkafka-1.9.2-curl-7.85.0.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcurl-devel
BuildRequires: libgcc
BuildRequires: liblz4-devel
BuildRequires: libopenssl-devel
BuildRequires: libsasl2-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
BuildRequires: libzstd-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
librdkafka is a C library implementation of the Apache Kafka protocol, providing Producer, Consumer and Admin clients. It was designed with message delivery reliability and high performance in mind, current figures exceed 1 million msgs/second for the producer and 3 million msgs/second for the consumer.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
%patch0 -p1 -b .curl-7.85.0

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/librdkafka++.so.*
%{_libdir}/librdkafka.so.*
%doc LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/librdkafka
%{_includedir}/librdkafka/*.h
%dir %{_libdir}/cmake/RdKafka
%{_libdir}/cmake/RdKafka/*.cmake
%{_libdir}/librdkafka++.so
%{_libdir}/librdkafka.so
%{_libdir}/pkgconfig/rdkafka++.pc
%{_libdir}/pkgconfig/rdkafka.pc
%{_datadir}/licenses/librdkafka/LICENSES.txt
%doc README.md README.win32

%changelog
* Sat Sep 24 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.2-1mamba
- package created using the webbuild interface
